# $Revision: 1.38 $, $Date: 2009/06/15 08:41:05 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# fail while DBD::mysql is present
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Apache
%define		pnam	DBI
Summary:	Apache::DBI - initiate a persistent database connection
Summary(pl.UTF-8):	Apache::DBI - inicjowanie trwałego połączenia z bazą
Name:		perl-Apache-DBI
Version:	1.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a8161e5c1083afa0ecb6ac94491481e0
URL:		http://search.cpan.org/dist/Apache-DBI/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Apache::DBI and Apache::AuthDBI modules are supposed to be used with
the Apache server together with an embedded perl interpreter like
mod_perl. They provide support for basic authentication and
authorization as well as support for persistent database connections
via Perl's Database Independent Interface (DBI).

%description -l pl.UTF-8
Moduły Apache::DBI i Apache::AuthDBI są przeznaczone do używania
łącznie z serwerem Apache z wbudowanym interpreterem Perla takim jak
mod_perl. Zapewniają obsługę podstawowego uwierzytelnienia i
autoryzacji, a także obsługę ciągłych połączeń z bazą danych poprzez
ogólny interfejs dostępu do baz danych Perla (DBI).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Apache-DBI.spec,v $
Revision 1.38  2009/06/15 08:41:05  amateja
- updated to 1.07

Revision 1.37  2007/03/27 19:19:01  radek
- version 1.06 (sorta security)

Revision 1.36  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:49:20  baggins
- converted to UTF-8

Revision 1.34  2006/07/25 22:17:16  glen
- fix md5

Revision 1.33  2006/07/25 19:48:08  glen
- 1.01, generic URL

Revision 1.32  2004/11/03 19:36:55  paladine
- formatting

Revision 1.31  2004/06/05 20:26:51  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.30  2004/05/06 18:09:13  ankry
- fixed perl-devel BR

Revision 1.29  2004/04/25 07:38:16  ankry
- tests added (but disabled)

Revision 1.28  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.27  2004/04/14 11:21:49  ankry
- caps and other cosmetics

Revision 1.26  2004/03/05 13:35:08  mwinkler
- updated to 0.94

Revision 1.25  2004/01/24 22:12:06  arekm
- fix md5

Revision 1.24  2004/01/24 21:44:35  arekm
- autoupdated to 0.93

Revision 1.23  2003/09/09 10:24:25  ankry
- spaces -> tab

Revision 1.22  2003/09/03 18:41:14  adamg
- updated to 0.92

Revision 1.21  2003/08/18 08:08:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.20  2003/05/28 13:00:20  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.17  2003/03/01 17:41:59  radek
- should be ready for perl-5.8.0; release++

Revision 1.16  2003/02/25 00:35:48  radek
- use the __perl macro

Revision 1.15  2003/02/18 22:40:44  ankry
- autoupdated to 0.91

Revision 1.14  2003/02/18 15:25:45  ankry
- massive attack: change CPAN URLs

Revision 1.13  2003/02/16 22:56:20  qboosh
- pl description

Revision 1.12  2003/02/14 13:31:58  mis
- updated to 0.89

Revision 1.11  2002/08/14 19:57:40  qboosh
- pl description, new %doc, release 5

Revision 1.10  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.9  2002/07/10 08:46:13  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.8  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.7  2002/03/03 21:26:36  marcus
- rel.3.

Revision 1.6  2002/02/22 23:29:24  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/10 15:24:04  depesz
- adapterized

Revision 1.4  2002/02/09 12:59:37  depesz
- unfied source path

Revision 1.3  2002/01/18 02:14:10  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/28 15:20:13  mis
- buildarch noarch; release++

Revision 1.1  2001/09/11 12:42:52  misiek
- initial pld release
